ServerEvents.recipes(e=> {
    
    //绝缘外壳 
    e.remove({ output: 'powah:dielectric_casing'})
    e.shapeless('powah:dielectric_casing', 
        [ 
         '#industrialforegoing:machine_frame/pity',
        ])
    //绝缘覆层
    e.remove({ output: 'powah:dielectric_paste'})
    e.shapeless('8x powah:dielectric_paste', 
        [ 
            '4x industrialforegoing:plastic',
            'nwtc:gelatum',
        ])
    //基础电容
    e.remove({ output: 'powah:capacitor_basic'})
    e.shapeless('powah:capacitor_basic', 
        [ 
        '#forge:capacitor',
        ]) 
    //能量单元-初级
    e.remove({ output: 'powah:energy_cell_starter'})
    e.shapeless('powah:energy_cell_starter', 
        [ 
            '#forge:energy_cell_1',
        ])
    //能量单元-中级
    e.remove({ output: 'powah:energy_cell_basic'})
    e.shapeless('powah:energy_cell_basic', 
        [ 
            '#forge:energy_cell_2',
        ])
    //能量线缆1
    e.remove({ output: 'powah:energy_cable_basic'})
    e.shapeless('powah:energy_cable_basic', 
        [ 
         '#forge:energy_conduit_1',
        ])


        

    
    })
  